import type { ICodeCell } from '@difizen/libro-common';
import type { ExecutionCount } from '@difizen/libro-common';
import { LibroCellModel, CellOptions } from '@difizen/libro-core';
import type { ExecutableCellModel } from '@difizen/libro-core';
import type { Event as ManaEvent } from '@difizen/mana-app';
import { Emitter } from '@difizen/mana-app';
import { ViewManager } from '@difizen/mana-app';
/**
 * 基础的可执行代码的cell, 带有执行能力
 */
export declare class LibroCodeCellModel extends LibroCellModel implements ExecutableCellModel {
    executeCount: ExecutionCount;
    executing: boolean;
    hasOutputHidden: boolean;
    hasOutputsScrolled: boolean;
    viewManager: ViewManager;
    msgChangeEmitter: Emitter<any>;
    get msgChange(): ManaEvent<any>;
    constructor(options: CellOptions, viewManager: ViewManager);
    toJSON(): Omit<ICodeCell, 'outputs'>;
    clearExecution: () => void;
    dispose(): void;
    getSource(): string;
}
//# sourceMappingURL=code-cell-model.d.ts.map