import { CodeEditorView } from '@difizen/libro-code-editor';
import type { IRange } from '@difizen/libro-code-editor';
import type { IOutput } from '@difizen/libro-common';
import type { LibroCell, CellViewOptions } from '@difizen/libro-core';
import { CellService, LibroExecutableCellView, LibroOutputArea } from '@difizen/libro-core';
import { Deferred } from '@difizen/mana-app';
import { ViewManager } from '@difizen/mana-app';
import React from 'react';
export declare const CellEditorMemo: React.NamedExoticComponent<{}>;
export declare class LibroCodeCellView extends LibroExecutableCellView {
    view: React.ForwardRefExoticComponent<React.RefAttributes<HTMLDivElement>>;
    viewManager: ViewManager;
    outputs: IOutput[];
    editorView?: CodeEditorView;
    protected outputAreaDeferred: Deferred<LibroOutputArea>;
    get outputAreaReady(): Promise<LibroOutputArea>;
    protected editorViewReadyDeferred: Deferred<void>;
    get editorReady(): Promise<void>;
    constructor(options: CellViewOptions, cellService: CellService, viewManager: ViewManager);
    outputWatch(): void;
    toJSON(): LibroCell;
    onViewMount(): void;
    createEditor(): void;
    shouldEnterEditorMode(e: React.FocusEvent<HTMLElement>): boolean;
    blur: () => void;
    focus: (toEdit: boolean) => void;
    clearExecution: () => void;
    getSelections: () => [];
    getSelectionsOffsetAt: (selection: IRange) => {
        start: number;
        end: number;
    };
}
//# sourceMappingURL=code-cell-view.d.ts.map