import { ManaModule } from '@difizen/mana-app';
import { CellOptions } from '@difizen/libro-core';
import { CodeEditorCellContribution } from "./code-cell-contribution.js";
import { LibroCodeCellModel } from "./code-cell-model.js";
import { CodeCellModelFactory } from "./code-cell-protocol.js";
import { LibroCodeCellView } from "./code-cell-view.js";
export var CodeCellModule = ManaModule.create().register(CodeEditorCellContribution, LibroCodeCellView, LibroCodeCellModel, {
  token: CodeCellModelFactory,
  useFactory: function useFactory(ctx) {
    return function (options) {
      var child = ctx.container.createChild();
      child.register({
        token: CellOptions,
        useValue: options
      });
      var model = child.get(LibroCodeCellModel);
      return model;
    };
  }
});